Skip to main content
GET
/
v1
/
otlp
/
export
Export traces in OTLP/HTTP JSON format
curl --request GET \
  --url https://api.trulayer.ai/v1/otlp/export \
  --header 'Authorization: Bearer <token>'
{
  "resourceSpans": [
    {
      "resource": {
        "attributes": [
          {
            "key": "<string>",
            "value": {}
          }
        ]
      },
      "scopeSpans": [
        {
          "scope": {
            "name": "<string>",
            "version": "<string>"
          },
          "spans": [
            {
              "traceId": "<string>",
              "spanId": "<string>",
              "parentSpanId": "<string>",
              "name": "<string>",
              "startTimeUnixNano": "<string>",
              "endTimeUnixNano": "<string>",
              "attributes": [
                {
                  "key": "<string>",
                  "value": {}
                }
              ]
            }
          ],
          "schemaUrl": "<string>"
        }
      ],
      "schemaUrl": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.trulayer.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

SDK API key (tl_...) or Clerk session JWT

Query Parameters

from
string<date-time>
required
to
string<date-time>
required
project_id
string<uuid>
cursor
string

Response

OTLP TracesData payload (JSON-encoded protobuf).

resourceSpans
object[]